Package org.eclipse.emf.cdo.session

## Interface CDOSession.ExceptionHandler

- All Known Implementing Classes:
    `CDOInteractiveExceptionHandler`, `CDORetryExceptionHandler`
  Enclosing interface:
    CDOSession

      public static interface CDOSession.ExceptionHandler

  Handles `protocol` exceptions if `configured` before the session has been opened.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleException​(CDOSession session, int attempt, java.lang.Exception exception)` |

- - ### Method Detail

    - #### handleException

          void handleException​(CDOSession session,
                               int attempt,
                               java.lang.Exception exception)
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`